<mat-tab-group [(selectedIndex)]="currentIndex">
  <ng-container *ngFor="let productType of productTypes; index as i">
    <mat-tab>
      <h2>{{productType[0].name}}</h2>
      <div class="d-flex flex-wrap pt-1">
        <div class="mb-3 mr-3 product-selector-product" *ngFor="let product of productType[1]"
             (click)="addToCart(product); $event.preventDefault()"
             role="button" appLongPress (press)="openDiscountModal(discountModal, product);">
          <app-product [product]="product" [discount]="currentDiscount"></app-product>
        </div>
      </div>
    </mat-tab>
  </ng-container>
</mat-tab-group>

<ng-template let-modal let-product="product" #discountModal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">{{modalProduct.name}}</h4>
    <button type="button" class="close" aria-label="Close" i18n-aria-label="@@cd.aria.closeButton"
            (click)="modalInstance.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="d-flex flex-column">
      <div class="d-flex flex-row justify-content-center mb-4">
        <h4 i18n="@@cd.productSelector.discountModal.heading">Assign a discount</h4>
      </div>
      <div class="d-flex flex-row justify-content-center align-content-center mb-3">
        <div class="d-flex h1 mb-4 color-transition" [ngClass]="{'isFinalPrize':isFinalPrize===true}">
          {{modalPrice | currency}}
        </div>
      </div>
    </div>
    <div class="d-flex flex-column">
      <div class="d-flex flex-row justify-content-between">
        <button type="button" class="btn btn-outline-light btn-lg px-4 py-3"
                (click)="modalPrice = 0"
                appLongPress (press)="setDiscountToSpecificAmount(0)">
          <span class="h4 mb-0 font-weight-bold">-100%</span>
          <br>
          <span class="text-muted">-{{ modalProduct.price | currency}}</span>
        </button>
        <button type="button" class="btn btn-outline-light btn-lg px-4 py-3"
                (click)="modalPrice = modalProduct.price * 0.50"
                appLongPress (press)="setDiscountToSpecificAmount(modalProduct.price  * 0.50)">
          <span class="h4 mb-0 font-weight-bold">-50%</span>
          <br>
          <span class="text-muted">-{{ modalProduct.price * 0.50 | currency}}</span>
        </button>
        <button type="button" class="btn btn-outline-light btn-lg px-4 py-3"
                (click)="modalPrice = modalProduct.price * 0.75"
                appLongPress (press)="setDiscountToSpecificAmount(modalProduct.price * 0.75)">
          <span class="h4 mb-0 font-weight-bold">-25% </span>
          <br>
          <span class="text-muted">-{{ modalProduct.price * 0.25 | currency}}</span>
        </button>
        <button type="button" class="btn btn-outline-light btn-lg px-4 py-3"
                (click)="modalPrice = modalProduct.price"
                appLongPress (press)="setDiscountToSpecificAmount(modalProduct.price * 0.75)">
          <span class="h4 mb-0 font-weight-bold">0% </span>
          <br>
          <span class="text-muted" i18n="@@cd.productSelector.discountModal.resetButton">Reset</span>
        </button>
      </div>
    </div>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-outline-light btn-lg py-2"
            (click)="modalInstance.dismiss()" i18n="@@cd.productSelector.discountModal.canelButton">Cancel
    </button>
    <button type="button" class="btn btn-outline-success btn-lg py-2"
            (click)="setDiscountToSpecificAmount(modalPrice)">
      <fa-icon icon="shopping-cart"></fa-icon>
      <span i18n="@@cd.productSelector.discountModal.addToCartButton">Add to Cart</span>
    </button>
  </div>
</ng-template>
